{
  config,
  lib,
  pkgs,
  ...
}:
{
  imports = [ ];

  config = lib.mkMerge [
    {
      nix.distributedBuilds = true;
      nix.buildMachines = [
        {
          hostName = "hydra";
          sshUser = "nixworker";
          systems = [
            "x86_64-linux"
            # "aarch64-linux"
          ];
          maxJobs = 1;
          speedFactor = 2;
          supportedFeatures = [
            # "nixos-test"
            "benchmark"
            "big-parallel"
            # "kvm"
            "gccarch-x86-64-v3"
            "gccarch-x86-64-v4"
            "gccarch-znver4"
          ];
        }
        {
          hostName = "quark";
          sshUser = "nixworker";
          systems = [
            "x86_64-linux"
            # "aarch64-linux"
          ];
          maxJobs = 1;
          speedFactor = 2;
          supportedFeatures = [
            # "nixos-test"
            "benchmark"
            "big-parallel"
            # "kvm"
            "gccarch-x86-64-v3"
            "gccarch-x86-64-v4"
            "gccarch-znver4"
            "gccarch-znver5"
          ];
        }
      ];
    }
  ];
}
